# Generated by Django 3.2.13 on 2022-09-02 12:02

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0019_auto_20220606_1013'),
    ]

    operations = [
        migrations.AlterField(
            model_name='pitreconfig',
            name='code_adm',
            field=models.CharField(max_length=32, verbose_name='code ADM'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='code_application',
            field=models.CharField(max_length=32, verbose_name='code application'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='code_node_classification',
            field=models.CharField(max_length=8, verbose_name='code node classification'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='code_register',
            field=models.CharField(max_length=32, verbose_name='code register'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='code_rf',
            field=models.CharField(max_length=8, null=True, verbose_name='code RF'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='code_role',
            field=models.CharField(max_length=32, verbose_name='code role'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='means_of_sending',
            field=models.CharField(default='SERVIZI ONLINE', max_length=128, verbose_name='means of sending'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='receiver_codes',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=32, verbose_name='receiver code'), size=None, verbose_name='receiver codes'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='transmission_reason',
            field=models.CharField(default='TRASM ONLINE', max_length=128, verbose_name='transmission reason'),
        ),
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley_cloud', 'halley_cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley_cloud', 'halley_cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='HalleyCloudConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('registration_url', models.URLField(verbose_name='registration URL')),
                ('username', models.CharField(max_length=64, verbose_name='username')),
                ('password', models.CharField(max_length=64, verbose_name='password')),
                ('mailbox', models.EmailField(max_length=254, null=True, verbose_name='mailbox')),
                ('institution_office_ids', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), size=1, verbose_name='institution office IDs')),
                ('classification_category', models.CharField(max_length=16, null=True, verbose_name='classification category')),
                ('classification_class', models.CharField(max_length=16, null=True, verbose_name='classification class')),
                ('classification_subclass', models.CharField(max_length=16, null=True, verbose_name='classification subclass')),
                ('folder_id', models.PositiveIntegerField(null=True, verbose_name='folder ID')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='halley_cloud_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='halleycloudconfig',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_halleycloudconfig_unique_service_is_active_true'),
        ),
    ]
